Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232752 - Review Request: g3data - Program for extracting the data from scanned graphs
Summary: Review Request: g3data - Program for extracting the data from scanned graphs
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-17 03:09 UTC by Jef Spaleta
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-25 05:50:22 UTC
wolfy: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Jef Spaleta 2007-03-17 03:09:33 UTC
Spec URL:
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/g3data/g3data.spec
SRPM URL:
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/g3data/g3data-1.5.1-1.src.rpm

Description:
g3data is used for extracting data from graphs. In publications
graphs often are included, but the actual data is missing, g3data
makes this extracting process much easier.

Comment 1 manuel wolfshant 2007-03-17 22:05:28 UTC
Forbidden

You don't have permission to access /Fedora SRPMS/g3data/g3data.spec on this server.

Additionally, a 404 Not Found error was encountered while trying to use an
ErrorDocument to handle the request.

Comment 2 Jef Spaleta 2007-03-17 22:39:57 UTC
sorry, permissions are fixed now.

I also realized that i still need to add a desktop file to this spec.
I'll get that done today, and write a comment with the update is ready.

-jef

Comment 3 Jef Spaleta 2007-03-18 22:38:00 UTC
Updated srpm and spec
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/g3data/g3data.spec
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/g3data/g3data-1.5.1-2.src.rpm

Added desktop entry and new menu icon with permission of the upstream author.

-jef

Comment 4 Gianluca Sforna 2007-03-18 22:59:33 UTC
Just received a 404 from the advertised URL. The new one seems to be:

http://www.frantz.fi/software/g3data.php

Comment 5 Jef Spaleta 2007-03-18 23:07:09 UTC
yeah I should have caught that, the upstream author notifed me of the new 1.5.1
release and I should have noticed the url change. I've been sitting on a package
for submission from 1.5.0 for awhile. I'll fix it in the sprm update. 

I'll update the specfile now, but I'm going to wait at least a day before I spin
another srpm, just in case there are a couple of other issues i have to fix.  I
already know I need to make a minor adjustment to the pixmap location as well.


http://jspaleta.thecodergeek.com/Fedora%20SRPMS/g3data/g3data.spec
is now updated to include the correct upstream urls.

-jef

Comment 7 manuel wolfshant 2007-03-21 12:34:10 UTC
After a quick glance and mock build:
- %buildroot/$BUILDROOT are both used (see the make line)
- RPM_OPT_FLAGS is not used. quote from build log:
+ make
gcc -c -Wall `pkg-config --cflags gtk+-2.0`  main.c
gcc -c -Wall `pkg-config --cflags gtk+-2.0`  sort.c
gcc -c -Wall `pkg-config --cflags gtk+-2.0`  points.c
gcc -c -Wall `pkg-config --cflags gtk+-2.0`  drawing.c
- there are duplicate BuildRequires: pkgconfig (by gtk2-devel), perl-SGMLSpm (by
docbook-utils)


Comment 8 Jef Spaleta 2007-03-22 06:45:48 UTC
Okay take a look at
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/g3data/g3data-1.5.1-4.src.rpm
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/g3data/g3data.spec
and
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/g3data/build.log

i fixed the makefile so that its no longer stripped the binary
and its now using the RPM_OPT_FLAGS settings

cleaned up the spec to use %buildroot consistently

removed the duplicate buildrequires you indicated

fixed the permissions on the manpage as reported by rpmlint
rpmlint now runs clean for for my mock builds.

-jef



Comment 9 manuel wolfshant 2007-03-22 15:49:35 UTC
GOOD:
- no output from rpmlint checks (on source or binary)
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream, is latest available version, sha1sum 
033184423798d1d8f192b9c211fba0ec50c47a95  g3data-1.5.1.tar.gz
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- no libtool/pkconfig/static files
owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- program is a GUI, properly installs a .desktop file


SHOULD
- compiles and build happily in mock /FC6 and devel/X86_64
- works as advertised

I see no blockers so package is APPROVED

Comment 10 Jef Spaleta 2007-03-23 06:46:11 UTC
New Package CVS Request
=======================
Package Name: g3data
Short Description: Program for extracting the data from scanned graphs
Owners: jspaleta@gmail.com
Branches: devel FC-6
InitialCC: 

Comment 11 Jens Petersen 2007-03-23 08:14:34 UTC
done


Note You need to log in before you can comment on or make changes to this bug.